# Luakit Documentation / Modules / lousy.widget.hist

# Module `lousy.widget.hist`

Web page history - status bar widget

Indicates whether the current page can go back or go forward.

The widget will not be shown if the current page cannot go back or forward.

## Properties

### lousy.widget.hist.format

Type: string
Read-write
Format string which defines the appearance of the widget. The text `{back}` is replaced with the back indicator, and the text `{forward}` is replaced with the forward indicator.

### lousy.widget.hist.back_indicator

Type: string
Read-write
Text used to indicate that the current page can go back.

### lousy.widget.hist.forward_indicator

Type: string
Read-write
Text used to indicate that the current page can go forward.

## Attribution

#### Copyright

- 2017 Aidan Holm
- 2010 Mason Larobina